%define module_name	drm-via
%define module_version	2004.06.24
%define module_release	alt4.1

%define kversion	2.4.29
%define krelease	alt1
%define flavour		wks-smp

%define module_dir	/lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release

Summary: The Direct Rendering Infrastructure modules for VIA Unichrome
License: GPL
Group: System/Kernel and hardware
URL: http://dri.sourceforge.net/
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux

BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq: coreutils
Prereq: modutils
Prereq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
The  Direct  Rendering  Infrastructure,  also  known as the DRI, is a framework
for allowing direct access to graphics hardware  in a safe and efficient
manner.  It includes changes to the X server, to several client libraries, and
to the kernel. The first major use for the DRI is to create fast OpenGL
implementations.

These are modules for your ALT Linux system.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
%make_build KERNEL_DIR=%_usrsrc/linux-%kversion-%flavour

%install
%makeinstall MODULE_INSTALL_DIR=%buildroot%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.24-alt4.1
- Rebuild for kernel 2.4.28.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.24-alt3.1
- Rebuild for kernel 2.4.27.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.24-alt2.1
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Tue Jun 29 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.24-alt1.1
- Replaced with version from dri.sourceforge.net.

* Thu Jun 24 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.22-alt1.1
- First build for ALT Linux.

